Bug 10449 - Дублирование в меню
: Дублирование в меню
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wesnoth)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-18 19:13 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-18 19:13:48
Текущий пакет дублирует пункты в меню. Судя по всему из-за наличия в пакете 
menu и desktop файлов одновременно. Если наличие (устаревшего) меню-файла 
критично (например для сборки пакета в окружении Компакта 3.0), то предлагаю 
внести в spec такую конструкцию:
В секцию %files 

%ifdef _desktopdir
%_desktopdir/*
%else
%_menudir/*
%endif

Это позволит на этапе сборки ложить в пакет нужный файл

PS: %_datadir/applications/* нужно убрать - вместо него 
используется %_desktopdir/*
------- Comment #1 From 2007-01-15 18:09:50 -------
спасибо, исправлю
------- Comment #2 From 2007-01-19 13:12:39 -------
fixed in 1.2.1